# $Revision: 1.31 $, $Date: 2012/03/08 20:02:08 $
Summary:	Xtst library
Summary(pl.UTF-8):	Biblioteka Xtst
Name:		xorg-lib-libXtst
Version:	1.2.1
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/archive/individual/lib/libXtst-%{version}.tar.bz2
# Source0-md5:	e8abc5c00c666f551cf26aa53819d592
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-libXext-devel >= 1:1.0.99.4
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-recordproto-devel >= 1.13.99.1
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.3
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
Obsoletes:	libXtst
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xtst library - RECORD and XTEST extensions.

%description -l pl.UTF-8
Biblioteka Xtst - rozszerzenia RECORD i XTEST.

%package devel
Summary:	Header files for libXtst library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXtst
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel >= 1:1.0.99.4
Requires:	xorg-lib-libXi-devel
Requires:	xorg-proto-recordproto-devel >= 1.13.99.1
Obsoletes:	libXtst-devel

%description devel
RECORD and XTEST extension library.

This package contains the header files needed to develop programs that
use libXtst.

%description devel -l pl.UTF-8
Biblioteka rozszerzeń RECORD i XTEST.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXtst.

%package static
Summary:	Static libXtst library
Summary(pl.UTF-8):	Biblioteka statyczna libXtst
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXtst-static

%description static
RECORD and XTEST extension library.

This package contains the static libXtst library.

%description static -l pl.UTF-8
Biblioteka rozszerzeń RECORD i XTEST.

Pakiet zawiera statyczną bibliotekę libXtst.

%prep
%setup -q -n libXtst-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXtst.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXtst.so.6

%files devel
%defattr(644,root,root,755)
%doc specs/*.html
%attr(755,root,root) %{_libdir}/libXtst.so
%{_includedir}/X11/extensions/XTest.h
%{_includedir}/X11/extensions/record.h
%{_libdir}/libXtst.la
%{_pkgconfigdir}/xtst.pc
%{_mandir}/man3/XTest*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXtst.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXtst.spec,v $
Revision 1.31  2012/03/08 20:02:08  qboosh
- updated to 1.2.1

Revision 1.30  2011/01/27 21:01:40  sparky
- typo in -devel: changed BR: to R:
- BR: docbook-dtd412-xml
- release: 2

Revision 1.29  2010/10/30 19:47:28  qboosh
- updated to 1.2.0

Revision 1.28  2009/11/12 09:25:17  patrys
- rebuild with new libpthread-stubs
- rel 2

Revision 1.27  2009/10/05 16:12:19  qboosh
- updated deps
- more verbose files, added README to doc

Revision 1.26  2009/10/05 05:24:51  arekm
- up to 1.1.0

Revision 1.25  2009/10/02 07:26:28  arekm
- rel 2; require libXi-devel

Revision 1.24  2009/09/04 09:54:29  arekm
- up to 1.0.99.2

Revision 1.23  2009/08/11 08:52:16  tommat
- BR: xmlto for manpages

Revision 1.22  2009/08/11 08:37:08  tommat
- ver 1.0.99.1

Revision 1.21  2008/11/05 23:29:58  arekm
- release 2

Revision 1.20  2007/08/19 19:38:13  arekm
- up to 1.0.3

Revision 1.19  2007/06/12 20:24:03  qboosh
- more informative descs

Revision 1.18  2007/06/07 10:21:12  arekm
- up to 1.0.2

Revision 1.17  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.15  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.14  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.13  2006/03/08 22:12:13  qboosh
- release 1

Revision 1.12  2005/12/28 14:18:08  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.11  2005/12/20 13:44:21  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 12:09:50  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 19:45:39  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 20:27:23  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.3  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.2  2005/03/25 18:25:43  qboosh
- finished pl

Revision 1.1  2005/03/25 00:41:16  aredridel
- added
